/*
 * InterfaceMigrationPie.java
 *
 * Created on 6 decembre 2007, 16:27
 */

package org.cocktail.pie.client.interfaces;

/**
 *
 * @author  mparadot
 */
public class InterfaceMigrationPie extends javax.swing.JPanel {
    
    /** Creates new form InterfaceMigrationPie */
    public InterfaceMigrationPie() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        bgTypeFacture = new javax.swing.ButtonGroup();
        jpanelTop = new javax.swing.JPanel();
        jPanelCriteres = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        tfNumero = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        btRecherche = new org.cocktail.application.palette.JButtonCocktail();
        jPanel2 = new javax.swing.JPanel();
        tfLibelle = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel4 = new javax.swing.JPanel();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        cbEtat = new org.cocktail.application.palette.JComboBoxCocktail();
        jPanelTypeFacture = new javax.swing.JPanel();
        rbPrestation = new org.cocktail.application.palette.JRadioButtonCocktail();
        rbFacture = new org.cocktail.application.palette.JRadioButtonCocktail();
        jPanelRight = new javax.swing.JPanel();
        btAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        btDupliquer = new org.cocktail.application.palette.JButtonCocktail();
        btBasculer = new org.cocktail.application.palette.JButtonCocktail();
        btFermer = new org.cocktail.application.palette.JButtonCocktail();
        tvListFacture = new org.cocktail.application.palette.JTableViewCocktail();

        setMinimumSize(new java.awt.Dimension(640, 480));

        jpanelTop.setBorder(javax.swing.BorderFactory.createTitledBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED), "Recherche", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.TOP));

        jLabelCocktail1.setText("numero");

        btRecherche.setText("jButtonCocktail1");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
        );

        jLabelCocktail2.setText("Lib / Client / Prestataire");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(98, Short.MAX_VALUE))
            .add(tfLibelle, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 250, Short.MAX_VALUE)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(tfLibelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        jLabelCocktail3.setText("Etat");

        cbEtat.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout jPanel4Layout = new org.jdesktop.layout.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cbEtat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 158, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cbEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(1, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout jPanelCriteresLayout = new org.jdesktop.layout.GroupLayout(jPanelCriteres);
        jPanelCriteres.setLayout(jPanelCriteresLayout);
        jPanelCriteresLayout.setHorizontalGroup(
            jPanelCriteresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanelCriteresLayout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanelCriteresLayout.setVerticalGroup(
            jPanelCriteresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4, 0, 52, Short.MAX_VALUE)
            .add(jPanel2, 0, 52, Short.MAX_VALUE)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        bgTypeFacture.add(rbPrestation);
        rbPrestation.setText("Prestation");

        bgTypeFacture.add(rbFacture);
        rbFacture.setText("Facture");

        org.jdesktop.layout.GroupLayout jPanelTypeFactureLayout = new org.jdesktop.layout.GroupLayout(jPanelTypeFacture);
        jPanelTypeFacture.setLayout(jPanelTypeFactureLayout);
        jPanelTypeFactureLayout.setHorizontalGroup(
            jPanelTypeFactureLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanelTypeFactureLayout.createSequentialGroup()
                .addContainerGap()
                .add(rbPrestation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(rbFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(398, Short.MAX_VALUE))
        );
        jPanelTypeFactureLayout.setVerticalGroup(
            jPanelTypeFactureLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanelTypeFactureLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(rbPrestation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(rbFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        org.jdesktop.layout.GroupLayout jpanelTopLayout = new org.jdesktop.layout.GroupLayout(jpanelTop);
        jpanelTop.setLayout(jpanelTopLayout);
        jpanelTopLayout.setHorizontalGroup(
            jpanelTopLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanelTypeFacture, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanelCriteres, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jpanelTopLayout.setVerticalGroup(
            jpanelTopLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jpanelTopLayout.createSequentialGroup()
                .add(jPanelTypeFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanelCriteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        btAnnuler.setText("Annuler");

        btDupliquer.setText("Dupliquer");

        btBasculer.setText("Basculer");

        btFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout jPanelRightLayout = new org.jdesktop.layout.GroupLayout(jPanelRight);
        jPanelRight.setLayout(jPanelRightLayout);
        jPanelRightLayout.setHorizontalGroup(
            jPanelRightLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanelRightLayout.createSequentialGroup()
                .add(jPanelRightLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanelRightLayout.createSequentialGroup()
                        .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btAnnuler, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 92, Short.MAX_VALUE)
                    .add(btDupliquer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 92, Short.MAX_VALUE)
                    .add(btBasculer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 92, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanelRightLayout.setVerticalGroup(
            jPanelRightLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanelRightLayout.createSequentialGroup()
                .add(btAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btBasculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 170, Short.MAX_VALUE)
                .add(btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(tvListFacture, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 512, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanelRight, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
            .add(jpanelTop, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jpanelTop, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(tvListFacture, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 291, Short.MAX_VALUE)
                        .addContainerGap())
                    .add(jPanelRight, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup bgTypeFacture;
    private org.cocktail.application.palette.JButtonCocktail btAnnuler;
    private org.cocktail.application.palette.JButtonCocktail btBasculer;
    private org.cocktail.application.palette.JButtonCocktail btDupliquer;
    private org.cocktail.application.palette.JButtonCocktail btFermer;
    private org.cocktail.application.palette.JButtonCocktail btRecherche;
    private org.cocktail.application.palette.JComboBoxCocktail cbEtat;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanelCriteres;
    private javax.swing.JPanel jPanelRight;
    private javax.swing.JPanel jPanelTypeFacture;
    private javax.swing.JPanel jpanelTop;
    private org.cocktail.application.palette.JRadioButtonCocktail rbFacture;
    private org.cocktail.application.palette.JRadioButtonCocktail rbPrestation;
    private org.cocktail.application.palette.JTextFieldCocktail tfLibelle;
    private org.cocktail.application.palette.JTextFieldCocktail tfNumero;
    private org.cocktail.application.palette.JTableViewCocktail tvListFacture;
    // End of variables declaration//GEN-END:variables

    public javax.swing.ButtonGroup getBgTypeFacture() {
        return bgTypeFacture;
    }

    public void setBgTypeFacture(javax.swing.ButtonGroup bgTypeFacture) {
        this.bgTypeFacture = bgTypeFacture;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtAnnuler() {
        return btAnnuler;
    }

    public void setBtAnnuler(org.cocktail.application.palette.JButtonCocktail btAnnuler) {
        this.btAnnuler = btAnnuler;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtBasculer() {
        return btBasculer;
    }

    public void setBtBasculer(org.cocktail.application.palette.JButtonCocktail btBasculer) {
        this.btBasculer = btBasculer;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtDupliquer() {
        return btDupliquer;
    }

    public void setBtDupliquer(org.cocktail.application.palette.JButtonCocktail btDupliquer) {
        this.btDupliquer = btDupliquer;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtFermer() {
        return btFermer;
    }

    public void setBtFermer(org.cocktail.application.palette.JButtonCocktail btFermer) {
        this.btFermer = btFermer;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtRecherche() {
        return btRecherche;
    }

    public void setBtRecherche(org.cocktail.application.palette.JButtonCocktail btRecherche) {
        this.btRecherche = btRecherche;
    }

    public org.cocktail.application.palette.JComboBoxCocktail getCbEtat() {
        return cbEtat;
    }

    public void setCbEtat(org.cocktail.application.palette.JComboBoxCocktail cbEtat) {
        this.cbEtat = cbEtat;
    }

    public org.cocktail.application.palette.JRadioButtonCocktail getRbFacture() {
        return rbFacture;
    }

    public void setRbFacture(org.cocktail.application.palette.JRadioButtonCocktail rbFacture) {
        this.rbFacture = rbFacture;
    }

    public org.cocktail.application.palette.JRadioButtonCocktail getRbPrestation() {
        return rbPrestation;
    }

    public void setRbPrestation(org.cocktail.application.palette.JRadioButtonCocktail rbPrestation) {
        this.rbPrestation = rbPrestation;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfLibelle() {
        return tfLibelle;
    }

    public void setTfLibelle(org.cocktail.application.palette.JTextFieldCocktail tfLibelle) {
        this.tfLibelle = tfLibelle;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfNumero() {
        return tfNumero;
    }

    public void setTfNumero(org.cocktail.application.palette.JTextFieldCocktail tfNumero) {
        this.tfNumero = tfNumero;
    }

    public org.cocktail.application.palette.JTableViewCocktail getTvListFacture() {
        return tvListFacture;
    }

    public void setTvListFacture(org.cocktail.application.palette.JTableViewCocktail tvListFacture) {
        this.tvListFacture = tvListFacture;
    }

	public org.cocktail.application.palette.JLabelCocktail getJLabelCocktail2() {
		return jLabelCocktail2;
	}
    
}
